package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.model.GeneralParameter;
import com.bankaudit.model.GeneralParameterDetail;

public interface GeneralParameterDao extends Dao {

	List<GeneralParameter> getGeneralParameter(Integer legalEntityCode, String modCode, String language, String key1,
			String key2, String value, String maker);

	String getParameterValue(Integer legalEntityCode, String key1, String key2, String value);

	List<GeneralParameter> getObservationCriticality(Integer legalEntityCode, String modCode, String language,
			String key1, String key2, String value, String maker);

	GeneralParameter findByLegalEntityCodeAndKey1AndKey2(Integer legalEntityCode,String key1, String key2);

	List<GeneralParameterDetail> getGeneralParameterDetails(Integer legalEntityCode, String  gpKey1, String gpKey2,
			String gpValue, String key, String value, Boolean irSequence);
}
